<?php

namespace App\Classes\Modules\Documents\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Documents\DataTransferObjects\DocumentObject;

class CanListDocuments extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized(): bool
    {

        /*
        Disabled temporarily, will check back later
        if (!\Auth::user()->can('view document')) {
            return false;
        }
        */

        return true;

    }

    /**
     * @param DocumentObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param DocumentObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}